
main() {
  var a; // tutaj nie zainicjalizowaliśmy var, więc jest typu dynamicznego
  a = 1; // teraz a jest typu int
  a = "a"; // a teraz jest ciągiem
  print(a is int); // wyświetla false
  print(a is String); // wyświetla true
  print(a is dynamic); // wyświetla true
  print(a.runtimeType); // wyświetla String
}
